LFR-FSW - Bug #152

TM_LFR_SCIENCE_NORMAL_BP1 (F0,F1): Champ SPARE et PA_LFR_N_BP1_NR_F(0,1) non
renseignés

13/05/2014 09:04 AM - Veronique bouzid

Status: Closed Start date: 13/05/2014
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.10 hour
revision: r0

Description

Suite a I'execution du test SVS-0090, I'analyse des paquets TM_LFR_SCIENCE_NORMAL_BP1_FO0 et
TM_LFR_SCIENCE_NORMAL_BP1_F1 a mis en évidence que

- le champ SPARE (octet 24) n'est pas initialisé a 0x0.

- le champ nommé "number of blocks in the packet" (octet 25) n'est pas correct (pas renseigné au vu des valeurs aleatoires
observées).

Ce champ se nomme respectivement PA_LFR_N_BP1_BLK_NR_F0 et PA_LFR_N_BP1_BLK_NR_F1.

Tous les autres packets de type BP1 ou BP2 sont bien renseignés, ils n ont pas d octet SPARE et le champ "number of blocks in the
packet" est sur | octet 24 et 25 et correct.

Ici le tableau récapitulatif

TM_LFR_SCIENCE_NORMAL_BP1_F0
- le champ SPARE octet 24 (0x0)
-le champ PA_LFR_N_BP1_BLK_NR_FO octet25 source = OBSW number of blocks in the packet [1,11]

TM_LFR_SCIENCE_NORMAL_BP1_F1
- le champ SPARE octet 24 (0x0)
-lechamp PA_LFR_N_BP1_BLK_NR_F1 octet25 source = OBSW number of blocks in the packet [1,13]

Ici un exemple:

Fichier analysé est 2014_05_06-19_36_11-Detail.txt

17:31:21.183587, TM_LFR_SCIENCE_NORMAL_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER =1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET_LENGTH=119,
SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0, TIME=0x800000049901, PA_LFR_SID_PKT: SC_N_BP1_FO0 = 14,
PA_BIA_MODE_MUX_SET: SET_0 =0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED =0,
PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x000099014f40, /NSPARE=0x48,
/N\PA_LFR_N_BP1_BLK_NR_F0=1280/\Failure format

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série 5
Vhdl: 0.0.16
Soft: 1.0.0.6 (variante sur carte finale)

Brique Star-Dundee S/N XX.

Scripts utilisés :
SVS-0090/generate_science_all_modes.py (BKA)

History

#1 - 15/05/2014 01:14 PM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

fsw >=1.0.0.7
bug identifié et corrigé

#2 - 10/06/2014 06:10 PM - Veronique bouzid

- Status changed from Resolved to Closed

Vérification des 2 champs erronés sur les 2 TM: OK

09:46:02.267421, TM_LFR_SCIENCE_NORMAL_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENGCE_CNT=1, (PACKET_SEQUENCE_CONTROL=0xc001), PACKET LENGTH=119, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x800000049775, PA_LFR_SID_PKT: SC_N_BP1_F0 = 14, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,

PA BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x800000049775, SPARE=0x0,
PA_LFR_N_BP1_BLK_NR_F0=11

09:46:02.272267, TM_LFR_SCIENCE_NORMAL_BP1_F1, CCSDS_VERSION_NUMBER = 0, PACKET _TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=2, (PACKET SEQUENCE_CONTROL=0xc002), PACKET LENGTH=137, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0,
SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x800000049f61, PA_LFR_SID_PKT: SC_N_BP1_F1 = 15, PA_BIA_MODE_MUX_SET: SET 0 = 0, PA_BIA_MODE_HV_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS3 ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x00009f612de, SPARE=0x0,
PA_LFR_N_BP1_BLK_NR_F1=13
